Aller au contenu
Recherche

Partage de texte et de code par lien

Collez votre texte ou votre code : le lien se crée à chaque frappe, avec le contenu compressé dedans. Rien n’est stocké chez nous.

Le texte est compressé dans le lien : il n’est stocké sur aucun serveur. Toute personne qui a le lien peut le lire.
Ouvrir le lien

Longueur du lien

Comment ça marche

Le texte n’est pas envoyé : il est compressé par votre navigateur (algorithme DEFLATE, celui des fichiers ZIP), écrit en base64url, puis placé dans le lien, après le signe #. Cette partie de l’adresse, le fragment, n’est jamais transmise au serveur quand on ouvre le lien : le navigateur de votre destinataire la lit et décompresse le texte sur place.

À l’ouverture, la page lit le texte puis le retire de la barre d’adresse : sans cela, il partirait avec l’adresse de la page dans les requêtes des annonces publicitaires. Pour le partager à nouveau, copiez le lien affiché par l’outil.

Il n’y a donc ni compte, ni date d’expiration, ni suppression possible : le texte vit aussi longtemps que le lien. Le revers : quiconque a le lien lit le texte, et le lien reste dans l’historique et dans la messagerie qui l’a transporté. Ne partagez ainsi ni mot de passe, ni clé d’API, ni donnée personnelle. Le code répétitif se compresse bien ; un texte court, lui, peut s’allonger un peu.

Jusqu’où le lien passe
Longueur du lienCe qui passe
jusqu’à 2 000 caractèrespartout, SMS et réseaux sociaux compris
jusqu’à 8 000courriel, WhatsApp, Signal, Teams, Slack
au-delàrisque de coupure : préférez un fichier

Exemple concret

Vous envoyez à un collègue une fonction de 9 lignes qui calcule un prix TTC, sans passer par un service de dépôt de code.

Texte : 316 octets en UTF-8
Compressé puis écrit en base64url : 318 caractères (+1 %)
Lien complet : 357 caractères, avec l’adresse de la page

Le lien tient sous la limite des 2 000 caractères : il passe même par SMS, et s’ouvre coloré en JavaScript.

Questions fréquentes

Pas chez HopCalc : le texte est compressé dans le lien lui-même, après le signe #, et cette partie de l’adresse n’est jamais envoyée au serveur. À l’ouverture, la page la retire aussi de la barre d’adresse, pour qu’elle ne parte pas avec les requêtes des annonces. En revanche, le lien est gardé par tout ce qui le transporte ou l’affiche : messagerie, courriel, historique du navigateur. Quiconque obtient le lien lit le texte.

Pour toujours, tant que le lien est intact : il n’y a pas de serveur qui pourrait l’effacer. C’est aussi pourquoi on ne peut pas le supprimer après l’avoir envoyé. Si un lien s’ouvre sur une erreur, il a été coupé en route, souvent par une messagerie qui limite la longueur des adresses.

Le lien est refusé au-delà de 100 000 caractères. En pratique, restez sous 8 000 caractères de lien pour une messagerie et sous 2 000 pour un SMS ou un réseau social. Du code se compresse souvent de moitié : un fichier de 300 lignes tient généralement.

Pastebin et GitHub Gist gardent votre texte sur leurs serveurs, derrière une adresse courte : pratique pour un long fichier, mais le service peut le lire, et le texte reste en ligne tant que vous ne l’effacez pas. Ici, le lien est plus long, mais rien n’est déposé nulle part. Pour un secret, n’utilisez ni l’un ni l’autre.

Source

Compression : DEFLATE, RFC 1951, dans le format zlib, RFC 1950 (API Compression Streams des navigateurs). Écriture : base64url, RFC 4648 § 5. Fragment non transmis au serveur : RFC 3986 § 3.5 et RFC 9110 § 7.1. Longueurs de lien : limites observées des SMS, réseaux sociaux et messageries, indicatives.

Outils proches